﻿Imports System.Data.SqlClient
Imports System.Globalization
Imports Microsoft.SqlServer.Management.Smo
Imports Microsoft.SqlServer.Management.Common
Public Class index
    Public Sub New()
        Me.InitializeComponent()
    End Sub
    Dim ds As New DataSet
    Dim bs As New BindingSource
    Dim dta As New SqlDataAdapter("select * from mali", "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True")
    Dim con As New SqlConnection("Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True")

    Private Sub index_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        NotifyIcon1.BalloonTipText = "امروز:   " + PersianCalendar.PersianCalendar.GetLongDate(Date.Now, "hh:mm:ss tt")
        NotifyIcon1.ShowBalloonTip(20)
        Label8.Visible = False
        lod_data()
    End Sub
    Sub lod_data()
        Try
            ds.Clear()
            dta.Fill(ds, "mali")
            bs.DataSource = ds
            bs.DataMember = "mali"
            DataGridView1.AutoGenerateColumns = True
            DataGridView1.DataSource = bs
            DataGridView1.Columns(0).HeaderText = "شهریه"
            DataGridView1.Columns(0).Width = 118
            DataGridView1.Columns(1).HeaderText = "باقیمانده شهریه"
            DataGridView1.Columns(1).Width = 130
            DataGridView1.Columns(2).HeaderText = "در تاریخ"
            DataGridView1.Columns(2).Width = 140
            DataGridView1.Columns(3).HeaderText = "کد عضویت"
            DataGridView1.Columns(3).Width = 80
            DataGridView1.Columns(4).HeaderText = "فامیلی"
            DataGridView1.Columns(4).Width = 115
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Dim str_DPN As String = ""
    Dim str_typ As String = ""
    Private Sub TextBox2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox2.TextChanged
        str_DPN = "codeosv"
        If TextBox2.Text <> "" Then
            If str_typ.ToLower = "N".ToLower Then
                Try
                    bs.Filter = str_DPN
                Catch ex As Exception
                    MsgBox("جستجو مشخص نیست", MsgBoxStyle.Critical, "")
                    TextBox2.Text = ""
                End Try
            Else
                bs.Filter = str_DPN + " like '%" + TextBox2.Text + "%'"
            End If
        Else
            bs.Filter = ""
            GroupBox1.Enabled = False
            txt_name.Text = ""
            txt_family.Text = ""
            txt_date.Text = ""
            txt_osv.Text = ""

        End If
       
    End Sub
    Private Sub TextBox2_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TextBox2.KeyPress
        If Not IsNumeric(e.KeyChar) And e.KeyChar <> Convert.ToChar(Keys.Back) And e.KeyChar <> Convert.ToChar(Keys.Delete) Then
            e.Handled = True
        End If

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        txt_name.Text = ""
        txt_family.Text = ""
        txt_date.Text = ""
        txt_osv.Text = ""


        Dim com As New SqlCommand
        con.Open()
        com.Connection = con
        com.CommandType = CommandType.Text
        'جستجو براساس کد عضویت


        com.CommandText = "select * from hoviat where codosv='" & TextBox2.Text & "' "
        Dim reader As SqlDataReader = com.ExecuteReader
        If reader.HasRows = True Then
            reader.Read()
            txt_name.Text = (reader.GetString(0))
            txt_family.Text = (reader.GetString(1))
            txt_date.Text = (reader.GetString(6))
            txt_osv.Text = (reader.GetString(5))
            Label12.Visible = False

            Label12.Visible = False
            GroupBox1.Enabled = True
        Else
            Label12.Visible = True
        End If
        con.Close()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try
            Dim com As New SqlCommand
            com.Connection = con
            com.CommandType = CommandType.Text
            com.CommandText = "insert into  mali values(@shahriyeh,@b_shahreyeh,@data_sh,@codeosv,@family)"
            com.Parameters.AddWithValue("@shahriyeh", Trim(TextBox1.Text))
            com.Parameters.AddWithValue("@b_shahreyeh", Trim(TextBox3.Text))
            com.Parameters.AddWithValue("@data_sh", Barbod1.IrDate.ToString)
            com.Parameters.AddWithValue("@codeosv", Trim(txt_osv.Text))
            com.Parameters.AddWithValue("@family", Trim(txt_family.Text))

            con.Open()
            com.ExecuteNonQuery()
            con.Close()
            Label8.Visible = True
            lod_data()

            txt_date.Text = ""
            txt_family.Text = ""
            txt_name.Text = ""
            txt_osv.Text = ""
            TextBox1.Text = ""
            TextBox2.Text = ""
            TextBox3.Text = ""

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub TextBox1_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TextBox1.KeyPress
        If Not IsNumeric(e.KeyChar) And e.KeyChar <> Convert.ToChar(Keys.Back) And e.KeyChar <> Convert.ToChar(Keys.Delete) Then
            e.Handled = True
        End If
    End Sub

    Private Sub TextBox3_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TextBox3.KeyPress
        If Not IsNumeric(e.KeyChar) And e.KeyChar <> Convert.ToChar(Keys.Back) And e.KeyChar <> Convert.ToChar(Keys.Delete) Then
            e.Handled = True
        End If
    End Sub

    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged
        Dim str As String = ""
        If TextBox1.Text.Length > 3 Then
            SendKeys.Send("{end}")
            str = Format$(TextBox1.Text.Replace(",", ""))
            TextBox1.Text = Format$(Val(str), "###,###,###")
        End If
    End Sub

    Private Sub TextBox3_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox3.TextChanged
        Dim str As String = ""
        If TextBox3.Text.Length > 3 Then
            SendKeys.Send("{end}")
            str = Format$(TextBox3.Text.Replace(",", ""))
            TextBox3.Text = Format$(Val(str), "###,###,###")
        End If
    End Sub

    Private Sub ثبتمشتریانToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Form1.ShowDialog()
    End Sub

    Private Sub خروجToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Opacity = 1
        Dim i As Integer
        For i = 0 To 100
            Me.Opacity -= 0.01
            Application.DoEvents()
        Next
        Me.Close()
    End Sub

    Private Sub دربارهماToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        AboutBox1.ShowDialog()
    End Sub
    Dim i As Integer = 0

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Label12.Visible = False
        PictureBox1.Image = ImageList1.Images(i)
        i = i + 1
        If ImageList1.Images.Count = i Then
            i = 0
            Label8.Visible = False
        End If

    End Sub
    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Dim Open1 As New OpenFileDialog
        'Open1.DefaultExt = "Bak"
        'Open1.Filter = "SQL Backup Files (*.BAK)|*.BAK |All Files(*.*)|*.0*)"
        Open1.FileName = "Database"
        Open1.FilterIndex = 1

        If Open1.ShowDialog = Windows.Forms.DialogResult.OK Then
            Dim str As String = "\Database.mdf"

            Dim con As New SqlConnection("Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True")
            con.Open()
            Dim cmd As New SqlCommand()
            SqlConnection.ClearAllPools()
            cmd.Connection = con

            cmd.CommandType = CommandType.Text
            con.ChangeDatabase("master")
            cmd.CommandText = "USE MASTER RESTORE DATABASE [" + System.Windows.Forms.Application.StartupPath & str + "] FROM DISK = N'" + Open1.FileName.ToString + " '"
            cmd.ExecuteNonQuery()
            con.Close()
            MessageBox.Show("بازیابی با موفقیت انجامبد")
        End If
       
    End Sub
  

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim openFileDialog As New SaveFileDialog()
        openFileDialog.AddExtension = True
        openFileDialog.CheckFileExists = False
        openFileDialog.CheckPathExists = True
        openFileDialog.Filter = "Backup File (*.Bak)|*.Bak"
        openFileDialog.DefaultExt = "Bak"
        openFileDialog.RestoreDirectory = True
        openFileDialog.InitialDirectory = System.Windows.Forms.Application.StartupPath
        If openFileDialog.ShowDialog() = DialogResult.OK Then
            Dim oCommand As SqlCommand = Nothing
            Dim oConnection As SqlConnection = Nothing
            Try
                Dim ConectionString As String = "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True"
                Dim Command As String = "backup database [" + Application.StartupPath & "\database.mdf] to disk ='" & openFileDialog.FileName & "' with init,stats=10"

                Me.Cursor = Cursors.WaitCursor

                oConnection = New SqlConnection(ConectionString)
                If oConnection.State <> ConnectionState.Open Then
                    oConnection.Open()
                End If

                oCommand = New SqlCommand(Command, oConnection)
                oCommand.ExecuteNonQuery()


                Me.Cursor = Cursors.[Default]

                PictureBox1.Visible = False

                MessageBox.Show("تهیه نسخه پشتیبان انجام شد .")
                index_Load(e, sender)
            Catch ex As Exception
                MessageBox.Show("Error :" + ex.Message)
            Finally
                oConnection.Close()
                oCommand.Parameters.Clear()
                oCommand.Dispose()
            End Try
        End If

       
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Form1.ShowDialog()
    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        AboutBox1.ShowDialog()
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        End
    End Sub
End Class